StocksAndFisheriesKB - Bug #13160

European Commission missing code as management entity
Jan 16, 2019 04:35 PM - Aureliano Gentile

Status: Closed Start date: Jan 16, 2019
Priority: Normal Due date:

Assignee: Yannis Marketakis % Done: 90%
Category: Estimated time: 0.00 hour
Target version: GRSF

Description

Management Body/Authority(ies) Code: authority:NAT:-, System: unk, Name: European Commission

Record URL.: http://data.d4science.org/ctlg/GRSF_Admin/aaa682c¢8-634a-39e4-a721-8fb9a24e0842

The mapping rule file on management entities https://goo.gl/tkBZTh does provide EU and EC codes.
So why here the EC code is missing?

Please note that the source record http:/data.d4science.org/ctlg/GRSF_Admin/2f00860f-e777-3f24-8407-413547d5d7b7 is reporting
the code properly
Management Body/Authority(ies) Code: grsf-org:-:EC, System: grsf-org, Name: European Commission

Related issues:

Related to StocksAndFisherieskKB - Bug #16395: GRSF record titles are not updated Closed Mar 28, 2019
Related to StocksAndFisherieskKB - Bug #12421: Accented words are not properly... Closed Sep 07, 2018
History

#1 - Mar 29, 2019 12:09 PM - Yannis Marketakis
- Status changed from New to In Progress
Fixed.

As a side effect, there are 484 GRSF fishery records that need to be updated.
I've just triggered an update for them.

#2 - Mar 29, 2019 12:35 PM - Yannis Marketakis

Before moving on with the update
@aureliano.gentile@fao.org can you confirm that the semantic identifier should be updated accordingly?

from

asfis:HER+fa0:27.1;fa0:27.14.A;fa0:27.2;fa0:27.5;fa0:27.6. A+authority:INT:NEAFC;authority :NAT:-+iso3:DNK+isscfg:01.1

to

asfis:HER+fa0:27.1;fa0:27.14.A;fa0:27.2;fa0:27.5;fa0:27.6. A+authority:INT:NEAFC;grsf-org:-:EC+iso3:DNK+isscfg:01.1

#3 - Apr 02, 2019 10:56 AM - Aureliano Gentile

| double checked and | think we should make it easier and aligned with any other international authorities.
Hence EC could handled as follows:

authority:INT:EC

Management Body/Authority(ies) Code: authority:INT:EC, System: grsf-org, Name: European Commission
the semantic identifier will be:

asfis:HER+fa0:27.1;fa0:27.14.A;fa0:27.2;fa0:27.5;fa0:27.6.A+authority:INT:NEAFC;authority:INT:EC+is0o3:DNK+isscfg:01.1
#4 - Apr 02, 2019 03:07 PM - Yannis Marketakis
- Related to Bug #16395: GRSF record titles are not updated added

#5 - Apr 02, 2019 03:07 PM - Yannis Marketakis
- Related to Bug #12421: Accented words are not properly displayed in the "short name" field and in other fields added

#6 - Apr 02, 2019 03:07 PM - Yannis Marketakis

The corresponding GRSF fishery records (484 in number) have been updated in the GRSF KB.
As a proof-of-concept | have updated the record http:/data.d4science.org/ctlg/GRSF_Admin/aaa682c8-634a-39e4-a721-8fb9a24e0842

| will proceed with the update of the rest of the records (the rest 483 with the issue) as soon as we resolve other related issues (i.e. #16395, #12421)

#7 - Apr 02, 2019 03:20 PM - Aureliano Gentile

many many thanks

#8 - Apr 09, 2019 11:04 AM - Yannis Marketakis
- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

All the GRSF Fishery records have been updated in GRSF Admin. The issue should have been fixed for all of them.

#9 - Nov 23, 2022 09:50 AM - Yannis Marketakis
- Status changed from Feedback to Closed
